Updated Polish translation
[empathy.git] / Makefile.am
1 SUBDIRS = tools extensions po data libempathy libempathy-gtk src help tests
2
3 if HAVE_NST
4 SUBDIRS += nautilus-sendto-plugin
5 endif
6
7 ACLOCAL_AMFLAGS = -I m4
8
9 DISTCHECK_CONFIGURE_FLAGS =             \
10         --disable-scrollkeeper          \
11         --disable-schemas-install
12
13 EXTRA_DIST =                    \
14         CONTRIBUTORS \
15         COPYING-DOCS \
16         COPYING.LGPL \
17         COPYING.SHARE-ALIKE \
18         ChangeLog \
19         ChangeLog.old \
20         README \
21         autogen.sh \
22         $(NULL)
23
24 DISTCLEANFILES =                \
25         ChangeLog
26
27 # Workaround broken scrollkeeper that doesn't remove its files on
28 # uninstall.
29 distuninstallcheck_listfiles = find . -type f -print | grep -v '^\./var/scrollkeeper'
30
31 distclean-local:
32         if test "x$(srdcir)" = "x."; then :; else \
33                 rm -f ChangeLog; \
34         fi
35
36 ChangeLog:
37         @echo Creating $@
38         @if test -d "$(srcdir)/.git"; then \
39           (GIT_DIR=$(top_srcdir)/.git ./missing --run git log EMPATHY_2_27_1.. --stat) | fmt --split-only > $@.tmp \
40           && mv -f $@.tmp $@ \
41           || ($(RM) $@.tmp; \
42               echo Failed to generate ChangeLog, your ChangeLog may be outdated >&2; \
43               (test -f $@ || echo git-log is required to generate this file >> $@)); \
44         else \
45           test -f $@ || \
46           (echo A git checkout and git-log is required to generate ChangeLog >&2 && \
47           echo A git checkout and git-log is required to generate this file >> $@); \
48         fi
49
50 .PHONY: ChangeLog
51